CREATE TABLE hwm_tm_templates (
    TEMPLATE_ID              NUMBER(18, 0) ,
    NAME                     VARCHAR2(1024)    NOT NULL,
    DESCRIPTION              VARCHAR2(4000),
    LAYOUT_ID                NUMBER(18, 0)     NOT NULL,
    PERSON_ID                NUMBER(18, 0)     NOT NULL,
    ASSIGNMENT_ID            NUMBER(18, 0)     NOT NULL,
    TEMPLATE                 CLOB              NOT NULL,
    TEMPLATE_TYPE            VARCHAR2(60)      NOT NULL,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)      NOT NULL,
    CREATED_BY               VARCHAR2(256)     NOT NULL,
    CREATION_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    TEMPLATE_ID              NUMBER(18, 0) ,
    NAME                     VARCHAR2(1024)    NOT NULL,
    DESCRIPTION              VARCHAR2(4000),
    LAYOUT_ID                NUMBER(18, 0)     NOT NULL,
    PERSON_ID                NUMBER(18, 0)     NOT NULL,
    ASSIGNMENT_ID            NUMBER(18, 0)     NOT NULL,
    TEMPLATE                 CLOB              NOT NULL,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)      NOT NULL,
    CREATED_BY               VARCHAR2(256)     NOT NULL,
    CREATION_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    TEMPLATE_TYPE            VARCHAR2(60)      NOT NULL,
    CONSTRAINT pk_hwm_tm_templates PRIMARY KEY (TEMPLATE_ID, TEMPLATE_ID)
);
